Name:           gimp-wavelet-sharpen
Version:        0.1.2
Release:        %mkrel 1
Summary:        Gimp plugin increases apparent sharpness of an image.
Group:          Graphics
License:        GPLv2
URL:            http://registry.gimp.org/node/9836
Source0:        http://registry.gimp.org/files/wavelet-sharpen-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gimp2.0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
Requires:       gimp


%description
The wavelet sharpen plugin increases apparent sharpness of an image. The amount
of unsharpness in the original image can be taken into account. The plugin is
not compareable to the builtin 'Sharpen' filter of the GIMP, however the
results are simmilar to the ones with the builtin 'Unsharp mask' filter.

%prep
%setup -n wavelet-sharpen-%{version}

cd src/
sed -i s/'$(CC) $(CFLAGS) -o $@ $^ $(LIBS)'/'$(CC) $(CFLAGS) -o $@ $^ -lm $(LIBS)'/g Makefile

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins
install -m 755 src/wavelet-sharpen $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING TRANSLATIONS ChangeLog THANKS
%{_libdir}/gimp/2.0/plug-ins/wavelet-sharpen


%changelog
* Sun Aug 18 2014 Ken <lxgator@gmail.com> 0.1.2-1pclos2014
- create package
